<!doctype html>
<html lang="zh-CN" class="h-100">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <?php wp_head();?>
</head>

<body <?php body_class('h-100');?>>
  <div id="page" class="site">
  <header id="masthead" class="site-header text-center mb-3 mb-lg-4 overflow-hidden">
    <nav id="site-navigation" class="main-navigation navbar navbar-expand-lg navbar-dark opacity-0"  style="background-color: #319795;">
      <div class="container">
        <?php
        if ( is_home() ) {?>
          <h1 class="m-0 fw-normal fs-6"><a class="navbar-brand" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo('name');?></a></h1>
        <?php } else {?>
          <a class="navbar-brand" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo('name');?></a>
        <?php }?>

        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <?php
        wp_nav_menu(
          array(
            'theme_location'  => 'primary',
            'menu_class'      => 'nav-menu',
            'container_id'    => 'navbarNav',
            'container_class' => 'collapse navbar-collapse',
            'items_wrap'      => '<ul id="%1$s" class="%2$s navbar-nav">%3$s</ul>',
          )
        );
        ?>
      </div>
    </nav>
  </header>
  <!-- #masthead -->
